# spec file for package stockfish17 (Version 1.7.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild

Summary:        A very strong, UCI compatible Chess engine
Name:           stockfish17
Version:        1.7.1
Release:        2.3
License:        GPL v3
Group:          Amusements/Games/Board/Chess
URL:            http://www.stockfishchess.com/
Source:         %{name}-%{version}.tar.bz2
Source1:	x%{name}
Source2:	%{name}.sh
Source3:	%{name}-polyglot.sh
Source4:	%{name}.ini
Source5:	Book.bin
Source100:	%{name}.changes
Patch0:		%{name}-linking_as_needed.patch
Patch1:         stockfish-no-build-date.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-build
BuildRequires:  gcc-c++ dos2unix
AutoReqProv:    on
Recommends:	polyglot xboard

%description
Stockfish is a free UCI chess engine derived from Glaurung 2.1. It is
not a complete chess program, but requires some UCI compatible GUI
(like XBoard with PolyGlot, eboard, José, Arena, Sigma Chess, Shredder,
Chess Partner, or Fritz) in order to be used comfortably.  Read the
documentation for your GUI of choice for information about how to use
Stockfish with your GUI.

This version of Stockfish supports up to 8 CPUs, but has not been
tested thoroughly with more than 2.  The program tries to detect the
number of CPUs on your computer and set the number of search threads
accordingly, but please be aware that the detection is not always
correct.  It is therefore recommended to inspect the value of the
"Threads" UCI parameter, and to make sure it equals the number of CPU
cores on your computer. If you are using more than four threads, it
is recommended to raise the value of "Minimum Split Depth" UCI parameter
to 6.

Authors:
--------
		Marco Costalba mcostalba@gmail.com

		Salvo Spitaleri (opening book "Book.bin") 



%prep
%setup -q
%patch0 -p0
%patch1 -p1
dos2unix Readme.txt
dos2unix src/COPYING
chmod 0644 src/COPYING

%build
pushd src/
# use Book.bin as default book with UCI
sed -i 's/book\.bin/Book\.bin/g' ucioption.cpp
%{__make}
popd

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 755 src/stockfish $RPM_BUILD_ROOT%{_bindir}/%{name}.bin
install -m 644 logos/*.gif $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/x%{name}
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/%{name}-polyglot
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/%{name}/

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc src/COPYING Readme.txt
%{_bindir}/*%{name}*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Sun Apr 11 2010 packman@links2linux.de - 1.7.1
- updated to 1.7.1 (bugfix release)
  * removed new and broken Hyper Threading detection code
    and fall back to well known 1.6.3 behaviour
  * worked around issue in zugzwang positions where 1.7.0 failed to
    detect zugzwang. To avoid  breaking compatibility with 1.7.0
    issue was NOT fixed by default, but an UCI parameter called
    "Zugzwang detection" that is OFF by default was added
- added "Zugzwang detection = true" to polyglot ini-file
* Thu Apr  8 2010 packman@links2linux.de - 1.7.0
- initial build, version 1.7.0
